#
# spec file for package broadcom-netxtreme2 (Version 5.2.55)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           broadcom-netxtreme2
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL
Group:          System/Kernel
Summary:        Broadcom NetXtreme II driver set for Linux
Version:        5.2.55
Release:        0
Source0:        netxtreme2-%version.tar.gz
Source1:        Module.supported.bnx2
Source2:        Module.supported.bnx2x
Source3:        Module.supported.bnx2i
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package ec2 kdump um

%description
This package contains the Linux drivers for the Broadcom NetXtreme II Family of Server Adapters

%debug_package
%package KMP

Summary:        Broadcom NetXtreme II drivers for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Broadcom NetXtreme II Family of Server Adapters

%package bnx2id

Summary:        Broadcom NetXtreme II iSCSI Initiator Service
Group:          System

%description bnx2id
This package provides the Broadcom NetXtreme II iSCSI Initiator Service

%prep
%setup -n netxtreme2-%version
cp %_sourcedir/Module.supported.bnx2 bnx2/src/Module.supported
cp %_sourcedir/Module.supported.bnx2x bnx2x/src/Module.supported
cp %_sourcedir/Module.supported.bnx2i sles11/driver/Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    kver=`uname -r`
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2x/src
%if 0%{?suse_version} >= 1100
    cp $PWD/obj/$flavor/bnx2/src/Module.symvers $PWD/obj/$flavor/sles11/driver
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/sles11/driver
%endif
%if 0%{?suse_version} < 1100
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/current/driver
%endif
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2x/src
%if 0%{?suse_version} >= 1100
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/sles11/driver
%endif
%if 0%{?suse_version} < 1100
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/current/driver
%endif
done
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man4
%if 0%{?suse_version} >= 1100
pushd source/sles11/usr
make 
install -D -m755 bnx2id $RPM_BUILD_ROOT/sbin/
cd ../etc/
mv bnx2id.suse bnx2id
install -D -m755 bnx2id $RPM_BUILD_ROOT/etc/init.d/
popd
%endif
%if 0%{?suse_version} < 1100
pushd source/current/usr
make 
install -D -m755 bnx2id $RPM_BUILD_ROOT/sbin/
cd ../etc/
mv bnx2id.suse bnx2id
install -D -m755 bnx2id $RPM_BUILD_ROOT/etc/init.d/
popd
%endif
install -D -m644 source/bnx2/src/bnx2.4 $RPM_BUILD_ROOT/usr/share/man/man4
install -D -m644 source/bnx2x/src/bnx2x.4 $RPM_BUILD_ROOT/usr/share/man/man4

%files bnx2id
%defattr(-,root,root)
/etc/init.d/bnx2id
/sbin/bnx2id

%files
%defattr(-,root,root)
/usr/share/man/man4/*

%changelog
